Bug 585146 - preupgrade fails with "preupgrade.error.PUError: Failed to download installer metadata"
preupgrade fails with "preupgrade.error.PUError: Failed to download installer...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 05:12 EDT by Jeremy Huddleston
Modified: 2012-08-16 15:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Huddleston 2010-04-23 05:12:38 EDT
Description of problem:

[jeremy@tifa-linux Download]$ sudo preupgrade-cli "Fedora 13 (Branch)"
/usr/lib/python2.6/site-packages/yum/__init__.py:215: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, dellsysidplugin2, refresh-packagekit, whiteout
Loaded plugins: dellsysidplugin2, refresh-packagekit
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-13&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-13&arch=x86_64
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/13/$basearch/os
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/13/x86_64/os
Fetched treeinfo from http://errors.secsup.org
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 312, in <module>
    pu.main(myrelease)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 186, in main
    self.retrieve_treeinfo()
  File "/usr/lib/python2.6/site-packages/preupgrade/__init__.py", line 385, in retrieve_treeinfo
    raise PUError, "Failed to download installer metadata"
preupgrade.error.PUError: Failed to download installer metadata



Version-Release number of selected component (if applicable):

[jeremy@tifa-linux Download]$ yum info preupgrade
Loaded plugins: dellsysidplugin2, refresh-packagekit
Installed Packages
Name       : preupgrade
Arch       : noarch
Version    : 1.1.4
Release    : 1.fc12
Size       : 347 k
Repo       : installed
From repo  : updates
Summary    : Prepares a system for an upgrade
URL        : https://fedorahosted.org/preupgrade/
License    : GPLv2+
Description: preupgrade prepares your Fedora system for an upgrade to the next version
           : by examining your system, downloading all the files needed for the upgrade,
           : and then setting up your system to perform the upgrade after rebooting.


How reproducible:

Happens every time.


Steps to Reproduce:
1. Install fc12
2. Install preupgrade
3. sudo preupgrade-cli "Fedora 13 (Branch)"
Comment 1 Bug Zapper 2010-11-03 12:31:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Huddleston 2010-11-03 14:36:36 EDT
Moving to 14 under assumption that it is still broken (since there is no indication otherwise)
Comment 3 Fedora End Of Life 2012-08-16 15:57:53 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.